public-exposure
Operations of the Biome Host API. Paths are relative to your deployment's API host.
GET /api/biome-host-api/platform/settings/public-exposure
Read the installation public-exposure document; configured is false when never set
Authentication: bearer token (Authorization: Bearer <token>)
| Status | Description | Body |
|---|---|---|
| 200 | application/json PublicExposureResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
PUT /api/biome-host-api/platform/settings/public-exposure
Replace the installation public-exposure document. The whole document is refused with every problem named when any entry is invalid. Audited; returns the new revision. A stale expectedRevision is refused with 409
Authentication: bearer token (Authorization: Bearer <token>)
Request body: application/json SetPublicExposureDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json PublicExposureResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |